WP5UnsupportedFixedLengthGroup Class Reference

`#include <WP5UnsupportedFixedLengthGroup.h>`

Inheritance diagram for WP5UnsupportedFixedLengthGroup:

## Public Member Functions

| WP5UnsupportedFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char groupID)
void | parse (WP5Listener *) override
Public Member Functions inherited from WP5FixedLengthGroup
| WP5FixedLengthGroup (const unsigned char groupID)
unsigned char | getGroup () const
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Protected Member Functions

void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *) override
Protected Member Functions inherited from WP5FixedLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Additional Inherited Members

Static Public Member Functions inherited from WP5FixedLengthGroup
static WP5FixedLengthGroup * | constructFixedLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## WP5UnsupportedFixedLengthGroup()

WP5UnsupportedFixedLengthGroup::WP5UnsupportedFixedLengthGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | groupID )

## Member Function Documentation

## _readContents()

void WP5UnsupportedFixedLengthGroup::_readContents | ( | librevenge::RVNGInputStream * | ,
|  | WPXEncryption * | )

inline override protected virtual

Implements WP5FixedLengthGroup.

## parse()

void WP5UnsupportedFixedLengthGroup::parse | ( | WP5Listener * |  | ) |

inline override virtual

Implements WP5Part.

The documentation for this class was generated from the following files:

- WP5UnsupportedFixedLengthGroup.h
- WP5UnsupportedFixedLengthGroup.cpp